Subject: [alpine-aports] [PATCH 1/2] main/busybox: enable the udhcpd applet

From: Sören Tempel <[email-masked]>
Date: Fri, 21 Aug 2015 22:59:47 +0200

---
 main/busybox/APKBUILD      | 12 ++++++++----
 main/busybox/busyboxconfig | 12 ++++++------
 2 files changed, 14 insertions(+), 10 deletions(-)

diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 4b54f8a..1f810f8 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=busybox
 pkgver=1.23.2
-pkgrel=8
+pkgrel=9
 pkgdesc="Size optimized toolbox of many common UNIX utilities"
 url=http://busybox.net
 arch="all"
@@ -108,6 +108,10 @@ package() {
 
 	install -Dm644 "$srcdir"/acpid.logrotate \
 		"$pkgdir/etc/logrotate.d/acpid" || return 1
+
+	mkdir -p "$pkgdir"/var/lib/udhcpd || return 1
+	install -Dm644 "$_sdir"/examples/udhcp/udhcpd.conf \
+		"$pkgdir"/etc/udhcpd.conf || return 1
 }
 
 static() {
@@ -133,7 +137,7 @@ e1c183cbe1ca18a0fa0d9597314076c9  0001-ifupdown-use-x-hostname-NAME-with-udhcpc.
 b56d306ccba574da78dff060b7330806  1001-fbsplash-support-console-switching.patch
 4fe5f9e973674c7db3d07f295c363a7c  1002-fbsplash-support-image-and-bar-alignment-and-positio.patch
 4046b78ee6a25259954797d73b94f4bd  acpid.logrotate
-961e07aac55e31c1b535d44a771b486c  busyboxconfig
+3dc374d3d6e901d381353c81ab773b7a  busyboxconfig
 befaac2c59c380e36a452b3f1c1d4a3a  glibc.patch"
 sha256sums="05a6f9e21aad8c098e388ae77de7b2361941afa7157ef74216703395b14e319a  busybox-1.23.2.tar.bz2
 81957f1fe0c386120dad1c8174ccc1fcfeed98c14d229db7d164d4fb4c938b3d  bbsuid.c
@@ -151,7 +155,7 @@ ac2cd5fed91bfaec22ed1f2766396d0feb29b9b96f20b2c12d5d8ac8769afae9  0001-linedit-d
 b8b0b16ed67b0159256193b1d2108b8ef9aa8a334ab81e463bb970c71257da9a  1001-fbsplash-support-console-switching.patch
 e1f3fad8e21dfd72cfcae7ab3ba31d7938e964e0f9ec08b2da0b14d462435424  1002-fbsplash-support-image-and-bar-alignment-and-positio.patch
 f7cbeb5a5a47395ad30454ce8262abcd3e91c33ef803c2ae31a9258d7142dd48  acpid.logrotate
-41e65ccc2994877a5efc05ff7a9f18f1a582cc32b6a6e0278b6a24d4fde47eea  busyboxconfig
+51ed9bcb94bfc544b9652caf993b250b0ff70e7605b307980a9bb46167a4e7f4  busyboxconfig
 c604ef791c31d35a8c5ee4558d21428a46f37a6d762c4a7e29864f4037fc44a0  glibc.patch"
 sha512sums="209c8ef26e40ccb81510f6b663202b080f9bbecac7faf386bbabf7e36a43d63b15dd6ce9f7a84c1ccc5345c524999812251da1e113ef9faadc6af1fedd24c7c9  busybox-1.23.2.tar.bz2
 16b3dd6a8b76b062d51458351fcb44f84b49eb4bf898584c933df90fb2cb3966f9547865a4d7447589bb20b7c203beb04ff7512f76f85d29138d2cff4eb9ee81  bbsuid.c
@@ -169,5 +173,5 @@ a35b66cd28b79ccc14b47315ac94677fdf8c14d8a6e8956707e71fb50d453dfc5b4b822832cd1fae
 a181dd54e8e11cf1199edb1b1fcd4b7402bbf142593b6014f32c6815bb7093b56899ad0fcc9f73c382f56203ac5274fb3d51fa070feb541436f23c31680f1a69  1001-fbsplash-support-console-switching.patch
 c33073416f7da2805a20f3f456f869217171c8fbfdef85f4ae481307aeb1e1b5717084bbbc619010fa5500c3f3f49b6468d5c122024fcc49d637c82427a3f553  1002-fbsplash-support-image-and-bar-alignment-and-positio.patch
 dadb4c953ebc755b88ee95c1489feb0c2d352f6e44abc716166024e6eea11ab9d10c84fad62c081775834d205cb04aa1be3c994676c88f4284495c54b9188e8b  acpid.logrotate
-5f372010a75cda82bf27f218fe2131c0a707386b7eb85ecbb4ebd15cddd2706f853cac6bdc878c46be5effbe3d497f2582076ba744cf0b4123a698a11e901455  busyboxconfig
+e79f8fd31f660d6ae5df1a5bfde17f09a9457801e8b9bf509cc4cb401dc7243276fd8b95c13e657561f08c12426121e55338d960eca78e50fa628583883baced  busyboxconfig
 1d2739379dab1deb3eae7cffd4845300eb7d30f7343b4a1209b21a5680860d55080ad45fdefe098b249ce3040c01951fa7f0a79cd447b2d7b260eb000099d9dc  glibc.patch"
diff --git a/main/busybox/busyboxconfig b/main/busybox/busyboxconfig
index 9449833..11a939e 100644
--- a/main/busybox/busyboxconfig
+++ b/main/busybox/busyboxconfig
@@ -1,7 +1,7 @@
 #
 # Automatically generated make config: don't edit
 # Busybox version: 1.23.2
-# Tue Aug  4 22:52:01 2015
+# Fri Aug 21 21:52:52 2015
 #
 CONFIG_HAVE_DOT_CONFIG=y
 
@@ -872,12 +872,12 @@ CONFIG_FEATURE_TRACEROUTE_USE_ICMP=y
 CONFIG_TUNCTL=y
 CONFIG_FEATURE_TUNCTL_UG=y
 CONFIG_UDHCPC6=y
-# CONFIG_UDHCPD is not set
+CONFIG_UDHCPD=y
 # CONFIG_DHCPRELAY is not set
-# CONFIG_DUMPLEASES is not set
-# CONFIG_FEATURE_UDHCPD_WRITE_LEASES_EARLY is not set
-# CONFIG_FEATURE_UDHCPD_BASE_IP_ON_MAC is not set
-CONFIG_DHCPD_LEASES_FILE=""
+CONFIG_DUMPLEASES=y
+CONFIG_FEATURE_UDHCPD_WRITE_LEASES_EARLY=y
+CONFIG_FEATURE_UDHCPD_BASE_IP_ON_MAC=y
+CONFIG_DHCPD_LEASES_FILE="/var/lib/udhcpd/udhcpd.leases"
 CONFIG_UDHCPC=y
 CONFIG_FEATURE_UDHCPC_ARPING=y
 CONFIG_FEATURE_UDHCPC_SANITIZEOPT=y
-- 
2.5.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---